import React, { useEffect } from 'react'
import { useProductStore } from '../../../store/simulation/useProductStore'
import * as THREE from 'three';
import { useSelectedProduct } from '../../../store/simulation/useSimulationStore';

function Products() {
    const { products, addProduct } = useProductStore();
    const { setSelectedProduct } = useSelectedProduct();

    useEffect(() => {
        if (products.length === 0) {
            const id = THREE.MathUtils.generateUUID();
            const name = 'Product 1';
            addProduct(name, id);
            setSelectedProduct(id, name);
        }
    }, [products])

    return (
        <>
        </>
    )
}

export default Products